Bug 252086 - Review Request: jmock - Test Java code using mock objects
Summary: Review Request: jmock - Test Java code using mock objects
Status: CLOSED DUPLICATE of bug 227072
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://jmock.codehaus.org/
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-13 21:50 UTC by Vivek Lakshmanan
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 00:00:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vivek Lakshmanan 2007-08-13 21:50:38 UTC
Spec URL: http://vivekl.fedorapeople.org/rpms/jmock.spec
SRPM URL: http://vivekl.fedorapeople.org/rpms/jmock-1.0.1-3jpp.1.fc8.src.rpm

jMock is a library for testing Java code using mock objects.
Mock objects help you design and test the interactions between the
objects in your programs.
The jMock package:
* makes it quick and easy to define mock objects, so you don't break
the rhythm of programming.
* lets you define flexible constraints over object interactions,
reducing the brittleness of your tests.
* is easy to extend.
Needed for supporting application servers

Comment 1 Vivek Lakshmanan 2007-08-14 00:00:07 UTC

*** This bug has been marked as a duplicate of 227072 ***


Note You need to log in before you can comment on or make changes to this bug.